package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户腕表配置表(WatchUser)实体类
 *
 * @author makejava
 * @since 2024-10-17 17:11:12
 */
public class WatchUser implements Serializable {
    private static final long serialVersionUID = 831935579121407352L;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 性别 0:未知 1:男 2:女
     */
    private Integer sex;
    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;
    /**
     * 腕表系统公司id
     */
    private Long wCompanyId;
    /**
     * 身高(单位:厘米)
     */
    private Integer height;
    /**
     * 体重(单位:千克)
     */
    private Integer weight;
    /**
     * 目标步数
     */
    private String targetStep;
    /**
     * 目标卡路里
     */
    private String targetCalorie;



    /**
     * 目标活动时长 (分钟)
     */
    private String targetActivity;
    /**
     * 目标运动时长
     */
    private String targetSport;
    /**
     * 预警设备id(自己)
     */
    private String deviceId;
    /**
     * 其余预警设备
     */
    private String otherDevice;
    /**
     * 监测数据类型排序
     */
    private String monitorDataTypeOrder;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private Integer isDel;

    //昵称
    private String nickName;



    public String getTargetActivity() {
        return targetActivity;
    }

    public void setTargetActivity(String targetActivity) {
        this.targetActivity = targetActivity;
    }

    public String getTargetSport() {
        return targetSport;
    }

    public void setTargetSport(String targetSport) {
        this.targetSport = targetSport;
    }


    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Long getWCompanyId() {
        return wCompanyId;
    }

    public void setWCompanyId(Long wCompanyId) {
        this.wCompanyId = wCompanyId;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getTargetStep() {
        return targetStep;
    }

    public void setTargetStep(String targetStep) {
        this.targetStep = targetStep;
    }

    public String getTargetCalorie() {
        return targetCalorie;
    }

    public void setTargetCalorie(String targetCalorie) {
        this.targetCalorie = targetCalorie;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getOtherDevice() {
        return otherDevice;
    }

    public void setOtherDevice(String otherDevice) {
        this.otherDevice = otherDevice;
    }

    public String getMonitorDataTypeOrder() {
        return monitorDataTypeOrder;
    }

    public void setMonitorDataTypeOrder(String monitorDataTypeOrder) {
        this.monitorDataTypeOrder = monitorDataTypeOrder;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }
}

